<?php
/**
 * Copyright © 2015 FiloBlu . All rights reserved.
 */
namespace FiloBlu\Flow\Helper;

class Images extends \Magento\Framework\App\Helper\AbstractHelper
{
    protected $_objectManager;
    protected $connection;
    protected $scopeConfig;

    public function __construct(
        \Magento\Framework\App\Helper\Context $context,
        \Magento\Framework\App\Config\ScopeConfigInterface $scopeConfig,
        \Magento\Framework\App\ResourceConnection $connection
    ) {
        $this->connection=$connection;
        $this->scopeConfig = $scopeConfig;
        parent::__construct($context);
    }

    public function isFullPhotoCleanActive(){
        $flag = $this->scopeConfig->getValue('filoblu_flow/flow_images/flow_images_force_clean', \Magento\Store\Model\ScopeInterface::SCOPE_WEBSITE);
        return $flag;
    }

    public function isClearImageCacheActive(){
        $flag = $this->scopeConfig->getValue('filoblu_flow/flow_images/flow_images_clean_cache', \Magento\Store\Model\ScopeInterface::SCOPE_WEBSITE);
        return $flag;
    }

    public function isUniqueUploadImagesActive(){
        $flag = $this->scopeConfig->getValue('filoblu_flow/flow_images/flow_images_upload_unique', \Magento\Store\Model\ScopeInterface::SCOPE_WEBSITE);
        return $flag;
    }

}


